Bug 25789 - Japanese can't be input mozilla
Japanese can't be input mozilla
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: mozilla (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-02 20:16 EST by Bill Huang
Modified: 2008-05-01 11:37 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-24 01:42:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Huang 2001-02-02 20:16:02 EST
In Mozilla,kinput2 can be started up by Shift+space,though Japanese can't
be displayed in the input field.
Comment 1 Nakai 2001-02-08 15:14:21 EST
The normal Mozilla 0.7 can input Japanese strings to kinput2,
But Mozilla in Fisher can't. So Some patches in our Mozilla SRPMS
must cause the problem.

Tagoh built today and now he is sure One or more between
Patch10 - Patch19 must cause the problem.
Comment 2 Christopher Blizzard 2001-02-08 15:20:58 EST
Try backout out the focus patch to see if that helps.
Comment 3 Nakai 2001-02-09 13:30:50 EST
Today's nightly build let us be sure the one or more of

Patch14
Patch15
Patch16

cause the problem.
Comment 4 Nakai 2001-02-12 12:30:04 EST
Mozilla is NOT wrong.

LANG=ja_JP, LANG=ja_JP.eucJP can input Japanese string into
Mozilla, but LANG=ja_JP.eucjp cannot.

This is Anaconda problem!!
Comment 5 Christopher Blizzard 2001-02-14 12:34:39 EST
ynakai seems to think this is an anaconda problem.
Comment 6 Matt Wilson 2001-02-14 13:29:59 EST
mozilla must accept normalized codeset
Comment 7 Matt Wilson 2001-02-14 14:12:10 EST
--- /usr/lib/mozilla/res/unixcharset.properties.orig	Wed Feb 14 13:16:09 2000
+++ /usr/lib/mozilla/res/unixcharset.properties	Wed Feb 14 13:16:27 2001
@@ -336,6 +336,7 @@
 locale.all.ja_JP.UTF-8@euro=UTF-8
 locale.all.ja_JP.EUC=EUC-JP
 locale.all.ja_JP.eucJP=EUC-JP
+locale.all.ja_JP.eucjp=EUC-JP
 locale.all.ja_JP.SJIS=Shift_JIS
 locale.all.ja_JP.PCK=Shift_JIS
 locale.all.ja_JP.IBM-eucJP=EUC-JP

Comment 8 Jens Petersen 2001-08-24 01:41:02 EDT
I think this can be closed with resolution RAWHIDE.
Seems to work fine in RC1 at least.
Comment 9 Nakai 2001-09-04 10:13:48 EDT
Already fixed.

Note You need to log in before you can comment on or make changes to this bug.